Page MenuHomePhabricator

[mlir] Add baseAttr to TypedArrayAttrBase.
ClosedPublic

Authored by abeakkas on Jan 16 2020, 3:28 PM.

Details

Summary

Element type is useful in code generators but it is lost after construction.

Diff Detail

Event Timeline

abeakkas created this revision.Jan 16 2020, 3:28 PM
abeakkas retitled this revision from Add baseAttr to TypedArrayAttrBase. to [mlir] Add baseAttr to TypedArrayAttrBase..Jan 16 2020, 3:30 PM

Unit tests: pass. 61909 tests passed, 0 failed and 782 were skipped.

clang-tidy: unknown.

clang-format: pass.

Build artifacts: diff.json, clang-format.patch, CMakeCache.txt, console-log.txt, test-results.xml

nicolasvasilache accepted this revision.Jan 22 2020, 5:09 AM
This revision is now accepted and ready to land.Jan 22 2020, 5:09 AM

I get 403 from Github when I try 'arc land'. I guess it's because I don't have commit access. Can someone else land the commit for me?

I get 403 from Github when I try 'arc land'. I guess it's because I don't have commit access. Can someone else land the commit for me?

Landed here : https://github.com/llvm/llvm-project/commit/eec36909c18b

Note that arc land leaves a lot of noisy tags from Phabricator which I rather filter before committing.

This revision was automatically updated to reflect the committed changes.
ftynse added a subscriber: ftynse.Jan 23 2020, 5:55 AM

I reverted this change since it broke dependent projects, and the modeling generally looks incorrect.

baseAttr is intended to be used in the decorator classes that are not proper attributes themselves, but only add additional constraints to the existing attributes. For example, default-valued attributes of type XAttr don't need the value to be constructed, but they are still attributes of type XAttr. Array attributes of type XArrayAttr are _not_ XAttr. If you need the element attribute for some reason, store it in a different tablegen field. Please also specify _why_ you need this change in the commit message, not only the contents of the change (https://llvm.org/docs/DeveloperPolicy.html#commit-messages).